%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define name ivman
%define version 0.6.13
%define release %mkrel 3

Summary: A volume manager daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: ivman-initscript.bz2
Patch0: ivman-0.6.6-daemon.patch.bz2
License: QPL
Group: System/Base
Url: http://ivman.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib-devel
BuildRequires: hal-devel
BuildRequires: dbus-devel
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: pmount
BuildRequires: dbus-glib-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Ivman is a volume manager daemon. It detects added volumes such as DVDs, CDs, 
and USB sticks / hard drives, mounts them if necessary and also starts 
programs to handle the added media (such as an audio CD player, or a video DVD
player). It can also monitor properties of hardware and execute commands when 
these properties change to a predefined value.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .daemon

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}/%{_initrddir}/%{name}
chmod 755 %{buildroot}/%{_initrddir}/%{name}
%find_lang %{name}

%pre
%_pre_useradd ivman / /sbin/nologin
%_pre_groupadd daemon ivman

%post
%_post_service ivman

%preun
%_preun_service ivman

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_initrddir}/%{name}


%changelog
* Wed Jan 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.13-3mdv2007.0
+ Revision: 103716
- Close ticket #27932

* Sat Dec 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.13-2mdv2007.1
+ Revision: 102857
- Fix BuildRequires
- Sync sources
- New version 0.6.13
- Import ivman



* Thu Aug 10 2006 Olivier Blin <blino@mandriva.com> 0.6.12-2mdv2007.0
- rebuild for new dbus

* Sat Jun 10 2006 Olivier Blin <oblin@mandriva.com> 0.6.12-1mdv2007.0
- New release 0.6.12

* Tue Apr 18 2006 Lenny Cartier <lenny@mandriva.com> 0.6.11-1mdk
- 0.6.11

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 0.6.10-1mdk
- 0.6.10

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.8-3mdk
- Rebuild with latest dbus

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.6.8-2mdk
- mkrel
- fix requires post and preun
- fix typo in initscript

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.6.8-1mdk
- New release 0.6.8
- convert parallel init to LSB

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 0.6.7-3mdk
- fix parallel init support (hal service is named haldaemon)

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 0.6.7-2mdk
- add parallel init support (requires hal)

* Sat Dec 17 2005 Olivier Blin <oblin@mandriva.com> 0.6.7-1mdk
- New release 0.6.7

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.6.6-1mdk
- New release 0.6.6
- remove library package
- Patch0: use daemon group, we don't have the plugdev group
- add ivman user (#19770)

* Wed Oct 26 2005 Couriousous <couriousous@mandriva.org> 0.6.4-2mdk
- Enable pmount support

* Mon Jun 20 2005 Couriousous <couriousous@mandriva.org> 0.6.4-1mdk
- 0.6.4
- Temporary disable pmount support since it requires hal > 0.5

* Sat Apr 30 2005 Couriousous <couriousous@mandriva.org> 0.5-0.pre3.1mdk
- Pre3

* Wed Feb 09 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre2.1mdk
- Pre2

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre1.1mdk
- First Mandrakelinux release
